<?php

namespace Drupal\Tests\crossword\Kernel\Formatter;

/**
 * Test the crossword formatter.
 *
 * @group crossword
 */
class CrosswordFormatterTest extends SimpleCrosswordFormatterTestBase {

  /**
   * {@inheritdoc}
   */
  public $id = 'crossword';

  /**
   * {@inheritdoc}
   */
  public $customSettings = [
    [
      'details' => [
        'title_tag' => 'h5',
        'author_tag' => 'p',
        'notepad_tag' => 'h2',
      ],
      'buttons' => [
        'buttons' => [
          'cheat' => '0',
          'solution' => '0',
          'clear' => '0',
          'undo' => '0',
          'redo' => '0',
        ],
      ],
    ],
    [
      'details' => [
        'title_tag' => '',
        'author_tag' => '',
        'notepad_tag' => '',
      ],
      'buttons' => [
        'buttons' => [
          'cheat' => '0',
          'solution' => 'solution',
          'clear' => '0',
          'undo' => 'undo',
          'redo' => '0',
        ],
      ],
    ],
  ];

}
