<?php

namespace Drupal\Tests\crossword\Kernel\Formatter;

/**
 * Test the crossword_pseudofield formatter.
 *
 * @group crossword
 */
class CrosswordPseudofieldsFormatterTest extends CrosswordFormatterTest {

  /**
   * {@inheritdoc}
   */
  public $id = 'crossword_pseudofield';

  /**
   * {@inheritdoc}
   */
  protected function checkDetail(string $detail_name, array $render, string $value, string $html_tag) {
    if (empty($html_tag)) {
      return empty($render[$detail_name]);
    }
    return ($value == $render[$detail_name]['#value']) && ($html_tag == $render[$detail_name]['#tag']);
  }

  /**
   * {@inheritdoc}
   */
  protected function checkButton(string $button_name, array $render, string $value) {
    return empty($render['controls']['#content'][$button_name]) xor $value == $button_name;
  }

}
