<?php

namespace Drupal\Tests\crossword\Kernel\Formatter;

/**
 * Test the crossword_solution formatter.
 *
 * @group crossword
 */
class CrosswordSolutionFormatterTest extends SimpleCrosswordFormatterTestBase {

  /**
   * {@inheritdoc}
   */
  public $id = 'crossword_solution';

  /**
   * {@inheritdoc}
   */
  public $customSettings = [
    [
      'details' => [
        'title_tag' => 'h5',
        'author_tag' => 'p',
        'notepad_tag' => 'h2',
      ],
    ],
    [
      'details' => [
        'title_tag' => '',
        'author_tag' => '',
        'notepad_tag' => '',
      ],
    ],
  ];

}
